package apple

import (
	"github.com/gin-gonic/gin"
	appleLogic "github.com/perfect-panel/server/internal/logic/public/iap/apple"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

func AttachAppleTransactionByIdHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.AttachAppleTransactionByIdRequest
		_ = c.ShouldBind(&req)
		if err := svcCtx.Validate(&req); err != nil {
			result.ParamErrorResult(c, err)
			return
		}
		l := appleLogic.NewAttachTransactionByIdLogic(c.Request.Context(), svcCtx)
		resp, err := l.AttachById(&req)
		result.HttpResult(c, resp, err)
	}
}
